--
-- RiftTool.lua
-- For use with: Rift
-- (c) tgwaste, All rights reserved
--


-- update all
--
function updateAll()
	updateVitality()
	updateDPS()
	updateCoords()
	updateCarnage()
end


-- prints text to general console with colors
--
function draw(color, data, after)
  local code = "ffffff"

  if string.match(color, "white")  then code = "ffffff" end
  if string.match(color, "green")  then code = "00ff00" end
  if string.match(color, "red")    then code = "ff0000" end
  if string.match(color, "yellow") then code = "ffff00" end
  if string.match(color, "grey")   then code = "8c8c8c" end
  if string.match(color, "pink")   then code = "ff00ff" end
  if string.match(color, "blue")   then code = "0000ff" end
  if string.match(color, "purple") then code = "ff00ff" end

	if not after then
  	Command.Console.Display("general", false, "<font color=\"#" .. code .. "\">" .. data, true)
	else
  	Command.Console.Display("general", false, data .. "<font color=\"#" .. code .. "\">" .. after, true)
	end
end


-- comma separate numbers
--
function comma(number)
  return tostring(number):reverse():gsub("%d%d%d", "%1,"):reverse():gsub("^,", "")
end


-- displays toggles
--
function showToggles()
	draw("pink", app .. " Toggles")
	draw("grey", "--------------------------")

	if RT.tog_carnagehide == 0 then
		draw("red", "[c] Carnage Auto-Hide ", "OFF")
	else
		draw("green", "[c] Carnage Auto-Hide ", "ON")
	end

	if RT.tog_dpsmeter == 0 then
		draw("red", "[d] DPS Meter ", "OFF")
	else
		draw("green", "[d] DPS Meter ", "ON")
	end

	if RT.tog_mapcoords == 0 then
		draw("red", "[m] MiniMap Coords ", "OFF")
	else
		draw("green", "[m] MiniMap Coords ", "ON")
	end

	if RT.tog_percent == 0 then
		draw("red", "[p] Target Percent ", "OFF")
	else
		draw("green", "[p] Target Percent ", "ON")
	end

	if RT.tog_totcurrency == 0 then
		draw("red", "[t] Total Currency ", "OFF")
	else
		draw("green", "[t] Total Currency ", "ON")
	end

	if RT.tog_vitality == 0 then
		draw("red", "[v] Vitality % ", "OFF")
	else
		draw("green", "[v] Vitality % ", "ON")
	end

	draw("pink", "Usage: /rt toggle letter [a = all]")
end

